Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2901 - PCMCIA install fails on Tosh Tecra 780DVD w/ 3c589C
Summary: PCMCIA install fails on Tosh Tecra 780DVD w/ 3c589C
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-18 02:23 UTC by dave
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-10 19:43:47 UTC


Attachments (Terms of Use)

Description dave 1999-05-18 02:23:17 UTC
Hi.  Installing 6.0 fails to detect my 3c589 PCMCIA ethernet
card during install.

It initializes the card, and the green light on the network
connector turns green, but prints:

insmod /tmp/pcmcia/lib/modules/preferred/3c589_cs.o
RequestIRQ: Resource already in use
get dev info on socket 1 failed: Resource temporarily
unavailable.

I've tried configuring the card services for both CardBus
and PCIC, both of which failed.  The laptop has the latest
BIOS version.

Thanks,
Dave Wreski
dave@nic.com

Comment 1 jmoses 1999-05-18 20:05:59 UTC
We've seen this one before on some inhouse machines.

The Tecra 780DVD seems to have a little difficulty parting with
already-used interrupts. Make sure /etc/sysconfig/pcmcia PCIC_OPTS
has "pci_csc=1", and that you are _not_ excluding IRQ 3 in
/etc/pcmcia/config.opts. Alternately, it is okay to define an
irq_list in PCIC_OPTS.

The reason seems to be that the revision of the PCMCIA chipset is
slightly incompatible with earlier versions, and is thus slightly
incompatible with pcmcia_cs. The 780 uses the ToPIC 97, but it seems
to differ from the one in the 750. You're lucky, though: the Tecra
7000's PCMCIA doesn't work for me at all.


Note You need to log in before you can comment on or make changes to this bug.